<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">

<struts-config>

  <!-- ========== Data Sources Definitions =================================== -->
  <!--
    Define your Struts data sources in a file called struts-data-sources.xml and place
    it in your merge directory.
  -->

  <!-- ========== Form Bean Definitions =================================== -->
 <form-beans>   
    <!--
         If you have non XDoclet forms, define them in a file called struts-forms.xml and
         place it in your merge directory.
    -->
	<form-bean
		name="dealprocessForm"
		type="cn.com.xunuo.webapp.form.DealprocessForm"
    />
	<form-bean
		name="infofeedbackForm"
		type="cn.com.xunuo.webapp.form.InfofeedbackForm"
    />
	<form-bean
		name="infofeedbacktypeForm"
		type="cn.com.xunuo.webapp.form.InfofeedbacktypeForm"
    />
  </form-beans>

  <!-- ========== Action Mapping Definitions =================================== -->
   <action-mappings>     

   <!-- Dealprocess start -->
	<!--Dealprocess Unconditional search -->
    <action
      path="/feedback/info"
      type="cn.com.xunuo.webapp.action.InfoForntAction"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/feedback/info.jsp"
        redirect="false"
      />
    </action>
	    <action
      path="/feedback/addInfo"
      type="cn.com.xunuo.webapp.action.InfoForntAction"
	  name="infofeedbackForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	  <forward
        name="success"
        path="/nofilter/infoadd.jsp"
        redirect="false"
      />
    </action>
	<action
      path="/feedback/list"
      type="cn.com.xunuo.webapp.action.InfoForntAction"
	  name="infofeedbacktypeForm"
	  input="error"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="error"
        path="/error.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/feedback/infoList.jsp"
        redirect="false"
      />
    </action>
   <!-- Infofeedbacktype end   -->

    <!-- Forward to page to sys main.jsp -->
    <action path="/sys/main" type="org.apache.struts.actions.ForwardAction"
        parameter="/sys/main.jsp"/>

  </action-mappings>
</struts-config>
